MERGE INTO [FactClaims] as FACT
USING [FactClaims_STAGE] as SRC
ON (
	FACT.ClaimKey = SRC.ClaimKey
)
WHEN MATCHED THEN
	UPDATE SET 		
		FACT.PolicyKey = SRC.PolicyKey
		, FACT.ClaimDate = SRC.ClaimDate
		, FACT.ClaimCodeKey = SRC.ClaimCodeKey
		, FACT.TotalAmount = SRC.TotalAmount
WHEN NOT MATCHED THEN
	INSERT (PolicyKey, ClaimDate, ClaimCodeKey, TotalAmount)
	VALUES (SRC.PolicyKey, SRC.ClaimDate, SRC.ClaimCodeKey, SRC.TotalAmount)
;

